al_register_bitmap_loader(3)

NAME

al_register_bitmap_loader - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_register_bitmap_loader(const char *extension,
       ALLEGRO_BITMAP *(*loader)(const char *filename, int flags))

DESCRIPTION

Register a handler for al_load_bitmap(3). The given function will be used to handle the loading of bitmaps files with the given extension.

The extension should include the leading dot (`.') character. It will be matched case-insensitively.

The loader argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn’t exist.

SEE ALSO

al_register_bitmap_saver(3), al_register_bitmap_loader_f(3)